﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DAL.Migrations;
using Domain;

namespace DAL
{
    public class AppDbContext : DbContext
    {
        public AppDbContext() : base("name=DataBaseConnectionStr")
        {
            Database.SetInitializer(
                new MigrateDatabaseToLatestVersion<AppDbContext, AppDpMigrationConfiguration>()
                );  
        }

        public DbSet<Person> Persons { get; set; }
        public DbSet<Contact> Contacts { get; set; }
        public DbSet<ContactType> ContactTypes { get; set; }

    }
}
